| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Enumerations | Functions
stockitem.h File Reference

## Enumerations

enum | wxStockLabelQueryFlag { wxSTOCK_NOFLAGS = 0, wxSTOCK_WITH_MNEMONIC = 1, wxSTOCK_WITH_ACCELERATOR = 2, wxSTOCK_WITHOUT_ELLIPSIS = 4, wxSTOCK_FOR_BUTTON = wxSTOCK_WITHOUT_ELLIPSIS | wxSTOCK_WITH_MNEMONIC }
| Possible values for flags parameter of wxGetStockLabel(). More...

## Functions

wxString | wxGetStockLabel (wxWindowID id, long flags=wxSTOCK_WITH_MNEMONIC)
| Returns label that should be used for given id element. More...

## Enumeration Type Documentation

enum wxStockLabelQueryFlag

Possible values for flags parameter of wxGetStockLabel().

The elements of this enum are bit masks and may be combined with each other (except when specified otherwise).

Enumerator
wxSTOCK_NOFLAGS | Indicates absence of wxSTOCK_WITH_MNEMONIC and wxSTOCK_WITH_ACCELERATOR. Requests just the label (e.g. "Print...").
wxSTOCK_WITH_MNEMONIC | Request the label with mnemonics character. E.g. "&Print...".
wxSTOCK_WITH_ACCELERATOR | Return the label with accelerator following it after TAB. E.g. "Print...\tCtrl-P". This can be combined with wxSTOCK_WITH_MNEMONIC to get "&Print...\tCtrl-P".

wxSTOCK_WITHOUT_ELLIPSIS

Return the label without any ellipsis at the end.

By default, stock items text is returned with ellipsis, if appropriate, this flag allows one to avoid having it. So using the same example as above, the returned string would be "Print" or "&Print" if wxSTOCK_WITH_MNEMONIC were also used.

This flag can't be combined with wxSTOCK_WITH_ACCELERATOR.

Since
  2.9.1

wxSTOCK_FOR_BUTTON

Return the label appropriate for a button and not a menu item.

Currently the main difference is that the trailing ellipsis used in some stock labels is never included in the returned label. Also, the mnemonics is included if this flag is used. So the returned value for wxID_PRINT when this flag is used is "&Print".

This flag can't be combined with wxSTOCK_WITH_ACCELERATOR.

Since
  2.9.1